AUTOMAKE_OPTIONS = foreign
ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS} -I ../m4

SUBDIRS =
if USE_WEBSOCKETS
SUBDIRS += IXWebSocket
endif

AM_CPPFLAGS = $(CPPFLAGS) -D_GNU_SOURCE -I $(top_srcdir)/include $(LIBNETIFYD_CFLAGS)
if USE_WEBSOCKETS
AM_CPPFLAGS += -I $(top_srcdir)/libs/IXWebSocket
endif

lib_LTLIBRARIES = libnetify-sink-socket.la

libnetify_sink_socket_la_SOURCES = nsp-plugin.cpp nsp-socket.cpp
libnetify_sink_socket_la_LIBADD = $(LIBNETIFYD_LIBS)
if USE_WEBSOCKETS
libnetify_sink_socket_la_LIBADD += -L$(top_srcdir)/src/IXWebSocket -lixwebsocket
endif
